EventBase::__construct
EventBase::exit
EventBase
PHP Manual

# EventBase::dispatch

Dispatch pending events

### Description

public void EventBase::dispatch ( void )

Wait for events to become active, and run their callbacks. The same as EventBase::loop with no flags set.

Warning

Do NOT destroy the EventBase object as long as resources of the associated Event objects are not released. Otherwise, it will lead to unpredictable results!

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBase::loop